### Method

# EDataCal CalBackendSExp match_comp

#### Declaration [src]

    gboolean
    e_cal_backend_sexp_match_comp (
      ECalBackendSExp* sexp,
      ECalComponent* comp,
      ETimezoneCache* cache
    )

#### Description [src]

Checks if `comp` matches `sexp`.

#### Parameters

`comp`

  Type: `ECalComponent`

  Component to match against the expression.

  The data is owned by the caller of the method.

`cache`

  Type: `ETimezoneCache`

  An `ETimezoneCache`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the component matches, `FALSE` otherwise.